Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.support
Class ClosureEventTriggeringInterceptor

    java.lang.Object
      org.hibernate.event.def.AbstractReassociateEventListener
          org.hibernate.event.def.AbstractSaveEventListener
              org.hibernate.event.def.DefaultSaveOrUpdateEventListener
                  org.codehaus.groovy.grails.orm.hibernate.events.SaveOrUpdateEventListener
                      org.codehaus.groovy.grails.orm.hibernate.support.ClosureEventTriggeringInterceptor

All Implemented Interfaces:
  groovy.lang.GroovyObject, Serializable, GrailsConfigurationAware, org.hibernate.event.PostDeleteEventListener, org.hibernate.event.PostInsertEventListener, org.hibernate.event.PostLoadEventListener, org.hibernate.event.PostUpdateEventListener, org.hibernate.event.PreDeleteEventListener, org.hibernate.event.PreLoadEventListener, org.hibernate.event.PreUpdateEventListener, org.hibernate.event.SaveOrUpdateEventListener, ApplicationContextAware

    public class ClosureEventTriggeringInterceptor

extends SaveOrUpdateEventListener
implements ApplicationContextAware, GrailsConfigurationAware, org.hibernate.event.PreLoadEventListener, org.hibernate.event.PostLoadEventListener, org.hibernate.event.PostInsertEventListener, org.hibernate.event.PostUpdateEventListener, org.hibernate.event.PostDeleteEventListener, org.hibernate.event.PreDeleteEventListener, org.hibernate.event.PreUpdateEventListener, groovy.lang.GroovyObject

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.event.def.AbstractSaveEventListener
`DELETED, DETACHED, PERSISTENT, TRANSIENT`

Constructor Summary
`ClosureEventTriggeringInterceptor()`

Method Summary
`protected groovy.lang.MetaClass` | `$getStaticMetaClass()`
`static String` | `getAFTER_DELETE_EVENT()`
`static String` | `getAFTER_INSERT_EVENT()`
`static String` | `getAFTER_LOAD_EVENT()`
`static String` | `getAFTER_UPDATE_EVENT()`
`static String` | `getBEFORE_DELETE_EVENT()`
`static String` | `getBEFORE_INSERT_EVENT()`
`static String` | `getBEFORE_LOAD_EVENT()`
`static String` | `getBEFORE_UPDATE_EVENT()`
`groovy.util.ConfigObject` | `getConfig()`
`boolean` | `getFailOnError()`
`List` | `getFailOnErrorPackages()`
`groovy.lang.MetaClass` | `getMetaClass()`
`static String` | `getONLOAD_EVENT()`
`static String` | `getONLOAD_SAVE()`
`Object` | `getProperty(String property)`
`Object` | `invokeMethod(String method, Object arguments)`
`boolean` | `isFailOnError()`
`void` | `onPostDelete(org.hibernate.event.PostDeleteEvent event)`
`void` | `onPostInsert(org.hibernate.event.PostInsertEvent event)`
`void` | `onPostLoad(org.hibernate.event.PostLoadEvent event)`
`void` | `onPostUpdate(org.hibernate.event.PostUpdateEvent event)`
`boolean` | `onPreDelete(org.hibernate.event.PreDeleteEvent event)`
`void` | `onPreLoad(org.hibernate.event.PreLoadEvent event)`
`boolean` | `onPreUpdate(org.hibernate.event.PreUpdateEvent event)`
`void` | `onSaveOrUpdate(org.hibernate.event.SaveOrUpdateEvent event)`
`void` | `setApplicationContext(ApplicationContext applicationContext)`
`void` | `setConfig(groovy.util.ConfigObject value)`
`void` | `setConfiguration(groovy.util.ConfigObject co)`
`void` | `setFailOnError(boolean value)`
`void` | `setFailOnErrorPackages(List value)`
`void` | `setMetaClass(groovy.lang.MetaClass mc)`
`void` | `setProperty(String property, Object value)`

Methods inherited from class org.hibernate.event.def.DefaultSaveOrUpdateEventListener
`entityIsDetached, entityIsPersistent, entityIsTransient, getCascadeAction, getUpdateId, invokeUpdateLifecycle, performSaveOrUpdate, performUpdate, reassociateIfUninitializedProxy, saveWithGeneratedOrRequestedId`

Methods inherited from class org.hibernate.event.def.AbstractSaveEventListener
`cascadeAfterSave, cascadeBeforeSave, getAssumedUnsaved, getEntityState, getLoggableName, getMergeMap, invokeSaveLifecycle, isVersionIncrementDisabled, performSave, performSaveOrReplicate, saveWithGeneratedId, saveWithRequestedId, substituteValuesIfNecessary, validate, visitCollectionsBeforeSave`

Methods inherited from class org.hibernate.event.def.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClosureEventTriggeringInterceptor

    public ClosureEventTriggeringInterceptor()

Method Detail

### getConfig

    public groovy.util.ConfigObject getConfig()

### setConfig

    public void setConfig(groovy.util.ConfigObject value)

### getFailOnError

    public boolean getFailOnError()

### isFailOnError

    public boolean isFailOnError()

### setFailOnError

    public void setFailOnError(boolean value)

### getFailOnErrorPackages

    public List getFailOnErrorPackages()

### setFailOnErrorPackages

    public void setFailOnErrorPackages(List value)

### getONLOAD_EVENT

    public static String getONLOAD_EVENT()

### getONLOAD_SAVE

    public static String getONLOAD_SAVE()

### getBEFORE_LOAD_EVENT

    public static String getBEFORE_LOAD_EVENT()

### getBEFORE_INSERT_EVENT

    public static String getBEFORE_INSERT_EVENT()

### getAFTER_INSERT_EVENT

    public static String getAFTER_INSERT_EVENT()

### getBEFORE_UPDATE_EVENT

    public static String getBEFORE_UPDATE_EVENT()

### getAFTER_UPDATE_EVENT

    public static String getAFTER_UPDATE_EVENT()

### getBEFORE_DELETE_EVENT

    public static String getBEFORE_DELETE_EVENT()

### getAFTER_DELETE_EVENT

    public static String getAFTER_DELETE_EVENT()

### getAFTER_LOAD_EVENT

    public static String getAFTER_LOAD_EVENT()

### setConfiguration

    public void setConfiguration(groovy.util.ConfigObject co)

  Specified by:
    `setConfiguration` in interface `GrailsConfigurationAware`

### onSaveOrUpdate

    public void onSaveOrUpdate(org.hibernate.event.SaveOrUpdateEvent event)

  Specified by:
    `onSaveOrUpdate` in interface `org.hibernate.event.SaveOrUpdateEventListener`
  Overrides:
    `onSaveOrUpdate` in class `org.hibernate.event.def.DefaultSaveOrUpdateEventListener`

### onPreLoad

    public void onPreLoad(org.hibernate.event.PreLoadEvent event)

  Specified by:
    `onPreLoad` in interface `org.hibernate.event.PreLoadEventListener`

### onPostLoad

    public void onPostLoad(org.hibernate.event.PostLoadEvent event)

  Specified by:
    `onPostLoad` in interface `org.hibernate.event.PostLoadEventListener`

### onPostInsert

    public void onPostInsert(org.hibernate.event.PostInsertEvent event)

  Specified by:
    `onPostInsert` in interface `org.hibernate.event.PostInsertEventListener`

### onPreUpdate

    public boolean onPreUpdate(org.hibernate.event.PreUpdateEvent event)

  Specified by:
    `onPreUpdate` in interface `org.hibernate.event.PreUpdateEventListener`

### onPostUpdate

    public void onPostUpdate(org.hibernate.event.PostUpdateEvent event)

  Specified by:
    `onPostUpdate` in interface `org.hibernate.event.PostUpdateEventListener`

### onPostDelete

    public void onPostDelete(org.hibernate.event.PostDeleteEvent event)

  Specified by:
    `onPostDelete` in interface `org.hibernate.event.PostDeleteEventListener`

### onPreDelete

    public boolean onPreDelete(org.hibernate.event.PreDeleteEvent event)

  Specified by:
    `onPreDelete` in interface `org.hibernate.event.PreDeleteEventListener`

### setApplicationContext

    public void setApplicationContext(ApplicationContext applicationContext)

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project